Skip to main content
POST
/
waap
/
v1
/
domains
/
{domain_id}
/
firewall-rules
Create a firewall rule
curl --request POST \
  --url https://api.gcore.com/waap/v1/domains/{domain_id}/firewall-rules \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Block foobar bot",
  "enabled": true,
  "action": {
    "allow": {},
    "block": {
      "action_duration": "12h"
    }
  },
  "conditions": [
    {}
  ],
  "description": "<string>"
}
'
{
  "name": "Block foobar bot",
  "enabled": true,
  "action": {
    "allow": {},
    "block": {
      "action_duration": "12h"
    }
  },
  "conditions": [
    {
      "ip": {
        "ip_address": "<string>",
        "negation": false
      },
      "ip_range": {
        "lower_bound": "<string>",
        "upper_bound": "<string>",
        "negation": false
      }
    }
  ],
  "id": 123,
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

domain_id
integer
required

The domain ID

Body

application/json
name
string
required

The name assigned to the rule

Required string length: 1 - 100
Pattern: ^[A-Za-z0-9\s.:'";<>?&|\\]+$
Example:

"Block foobar bot"

enabled
boolean
required

Whether or not the rule is enabled

action
FirewallRuleAction · object
required

The action that the rule takes when triggered

conditions
FirewallRuleCondition · object[]
required

The condition required for the WAAP engine to trigger the rule.

Required array length: 1 element
description
string

The description assigned to the rule

Maximum string length: 100

Response

Successful Response

name
string
required

The name assigned to the rule

Required string length: 1 - 100
Pattern: ^[A-Za-z0-9\s.:'";<>?&|\\]+$
Example:

"Block foobar bot"

enabled
boolean
required

Whether or not the rule is enabled

action
FirewallRuleAction · object
required

The action that the rule takes when triggered

conditions
FirewallRuleCondition · object[]
required

The condition required for the WAAP engine to trigger the rule.

Required array length: 1 element
id
integer
required

The unique identifier of the rule

description
string

The description assigned to the rule

Maximum string length: 100